Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007978TestLinkTest Specificationpublic2017-06-15 21:182017-06-19 21:10
ReporterMichielV 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007978: Make step status available in test specification execution history
DescriptionHi,

Could a link to the step execution details be added to the execution history window that is available from the test specification? Similar to the "blocks" icon that is available on execution history in the test execution page.

I took a look in the code but since both tables are built up somewhat differently I wasn't sure if or how this could be added.
Steps To Reproduce- go to test specification
- select a test case from the treeview
- click the "execution history" button on the top
- In the popup, can the step info be displayed or be made available through a link like in the execution page?
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.7
BrowserIE11, Chrome
PHP Version7.0
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026486)
fman (administrator)
2017-06-17 15:02

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/84e9bd4a693f6254ff964350ad9e37fc3d39c903 [^]
(0026500)
MichielV (reporter)
2017-06-19 21:10

The hotfix is working great, thank you for the quick implementation.

- Issue History
Date Modified Username Field Change
2017-06-15 21:18 MichielV New Issue
2017-06-17 14:46 fman QA Team - Task Workflow Status => TBD
2017-06-17 14:46 fman Category GUI => Test Specification
2017-06-17 15:02 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-06-17 15:02 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-06-17 15:02 fman Note Added: 0026486
2017-06-17 15:02 fman Status new => resolved
2017-06-17 15:02 fman Resolution open => fixed
2017-06-17 15:02 fman Assigned To => fman
2017-06-17 16:57 fman Relationship added child of 0007817
2017-06-19 21:10 MichielV Note Added: 0026500



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker